Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.quality
[Java] Interface JDependReports

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.reporting.ReportContainer
          org.gradle.api.NamedDomainObjectSet
              org.gradle.util.Configurable
                  java.lang.Iterable
                      org.gradle.api.plugins.quality.JDependReports
                          org.gradle.api.DomainObjectCollection
                              java.util.Collection

All Superinterfaces:
  NamedDomainObjectCollection, ReportContainer, NamedDomainObjectSet, Configurable, Iterable, DomainObjectCollection, Collection

    public interface JDependReports
    extends ReportContainer

The reporting configuration for the the JDepend task. Exactly one of the xml or html reports can be enabled when the task executes. If more than one or none is enabled, an InvalidUserDataException will be thrown.

Method Summary
`SingleFileReport` | `getText()` The jdepend text report
`SingleFileReport` | `getXml()` The jdepend xml report

Methods inherited from interface ReportContainer
getEnabled

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getText

    public SingleFileReport getText()

  The jdepend text report
  Returns:
    The jdepend text report

### getXml

    public SingleFileReport getXml()

  The jdepend xml report
  Returns:
    The jdepend xml report

Gradle API 1.1-rc-1